[href*='@eaDir']{
    display:none !important;
}

input[type='email'],
input[type='text'],
input[type='password'],
input[type='time'],
input[type='date'],
input[type='week'],
input[type='number'],
input[type='search'],
input[type='color'],
textarea,
select {
    display: block;
    width: 100%;
    height: 34px;
    padding: 0.375rem 0.75rem;
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--text-color);
    background-color: var(--bg-color);
    background-clip: padding-box;
    border: none;
    border-radius: var(--border-radius);
    box-shadow: none;
    transition: none;
    margin-bottom: 0;
    width: 100%;
    border: 2px solid transparent;
    appearance: none;
    font-size:1rem;
}

input[type="time"]{
    padding-top:3px;
}

.button,
button {
    display: inline-block;
    font-weight: 400;
    font-size: 16px;
    color: var(--text-color);
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    padding: 0.25rem 1rem;
    line-height: 1;
    border-radius: var(--border-radius);
    transition: none;
    background-color: var(--hightlight);
    box-shadow: none;
    border: none;
    color: #fff;
    height: 28px;
}

label{
    font-weight: 600;
    margin-bottom: 3px;
    display:block;
    margin-left: 0.75rem;
}

div.row > div > input,
div.row > div > select,
div.row > div > textarea{
    margin-bottom: 0;
}

button.status {
    font-size: 14px;
    padding: 0.2rem 0.8rem;
}

.button.transparent,
button.transparent{
    background:none;
}

form {
    width: 100%;
}

::placeholder {
    color: var(--text-color);
    opacity: 1;
}

input[type=checkbox],
input[type=radio] {
    --active: var(--hightlight);
    --active-inner: #fff;
    --focus: 2px rgba(39, 94, 254, 0.3);
    --border: #bbc1e1;
    --border-hover: none;
    --background: var(--bg-color);
    --disabled: #f6f8ff;
    --disabled-inner: #e1e6f9;
    -webkit-appearance: none;
    -moz-appearance: none;
    height: 21px;
    outline: none;
    display: inline-block;
    vertical-align: top;
    position: relative;
    margin: 0;
    cursor: pointer;
    border: none;
    background: var(--b, var(--background));
    transition: background 0.3s, border-color 0.3s, box-shadow 0.2s;
    margin-top: 3px;
}

input[type=checkbox]:after,
input[type=radio]:after {
    content: "";
    display: block;
    left: 0;
    top: 0;
    position: absolute;
    transition: transform var(--d-t, 0.3s) var(--d-t-e, ease), opacity var(--d-o, 0.2s);
}

input[type=checkbox]:checked,
input[type=radio]:checked {
    --b: var(--active);
    --bc: var(--active);
    --d-o: 0.3s;
    --d-t: 0.6s;
    --d-t-e: cubic-bezier(0.2, 0.85, 0.32, 1.2);
}

input[type=checkbox]:disabled,
input[type=radio]:disabled {
    --b: var(--disabled);
    cursor: not-allowed;
    opacity: 0.9;
}

input[type=checkbox]:disabled:checked,
input[type=radio]:disabled:checked {
    --b: var(--disabled-inner);
    --bc: var(--border);
}

input[type=checkbox]:disabled + label,
input[type=radio]:disabled + label {
    cursor: not-allowed;
}

input[type=checkbox]:hover:not(:checked):not(:disabled),
input[type=radio]:hover:not(:checked):not(:disabled) {
    --bc: var(--border-hover);
}

input[type=checkbox]:focus,
input[type=radio]:focus {
    box-shadow: 0 0 0 var(--focus);
}

input[type=checkbox]:not(.switch),
input[type=radio]:not(.switch) {
    width: 21px;
}

input[type=checkbox]:not(.switch):after,
input[type=radio]:not(.switch):after {
    opacity: var(--o, 0);
}

input[type=checkbox]:not(.switch):checked,
input[type=radio]:not(.switch):checked {
    --o: 1;
}

input[type=checkbox] + label,
input[type=radio] + label {
    font-size: 14px;
    line-height: 21px;
    display: inline-block;
    vertical-align: top;
    cursor: pointer;
    margin-left: 6px;
    margin-top: 7px;
}

input[type=checkbox]:not(.switch) {
    border-radius: 6px;
}

input[type=checkbox]:not(.switch):after {
    width: 5px;
    height: 9px;
    border: 2px solid var(--active-inner);
    border-top: 0;
    border-left: 0;
    left: 7px;
    top: 4px;
    transform: rotate(var(--r, 20deg));
}

input[type=checkbox]:not(.switch):checked {
    --r: 43deg;
}

input[type=checkbox].switch {
    width: 38px;
    border-radius: 11px;
    margin:5px 0;
}

input[type=checkbox].switch:after {
    left: 2px;
    top: 2px;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    background: var(--ab, var(--border));
    transform: translateX(var(--x, 0));
}

input[type=checkbox].switch:checked {
    --ab: var(--active-inner);
    --x: 17px;
}

input[type=checkbox].switch:disabled:not(:checked):after {
    opacity: 0.6;
}

input[type=radio] {
    border-radius: 50%;
}

input[type=radio]:after {
    width: 19px;
    height: 19px;
    border-radius: 50%;
    background: var(--active-inner);
    opacity: 0;
    transform: scale(var(--s, 0.7));
}

input[type=radio]:checked {
    --s: 0.5;
}

a {
    text-decoration: none;
}


h1 {
    font-weight: 600;
    font-size: 1.2rem;
    margin: 0;
}

h1 i {
    margin-right: 10px;
}

h2,
input[name='calendarDate'] {
    font-weight: 600;
    font-size: 22px;
}

textarea {
    min-height: 120px;
    resize: vertical;
}


[disabled],
[readonly] {
    cursor: not-allowed;
}

[disabled] {
    opacity: 0.5;
}

input[readonly],
[readonly] {
    background-color: transparent;
    border: 2px solid var(--bg-color);
}


input[type='date']::-webkit-calendar-picker-indicator,
input[type='time']::-webkit-calendar-picker-indicator {
    filter: invert();
}

.datalist {
    display:none;
    position: fixed;
    padding: 0;
    z-index: 8001;
    max-height: 350px;
    width: 450px;
    overflow: auto;
    transform: translateY(20px);
    border-radius: var(--border-radius);
    background: var(--hightlight);
}

.datalist li {
    color: #fff;
    cursor: pointer;
    padding:5px 8px;
    line-height: 1.2rem;
}

.datalist li:hover,
.datalist li.selected {
    background: rgb(85 85 85);
}

.datalist.right {
    transform:  translate(-180px, 20px);
}


table.dataTable {
    width: 100%;
    border-spacing: 0;
    border-collapse: collapse;
    border: none;
}

table.dataTable thead tr {
    background: var(--hightlight);
}

table.dataTable td,
table.dataTable th{
    padding: 6px 10px;
    vertical-align: top;
}

table.dataTable th{
    font-weight: 600;
    text-align: left;
}

table.dataTable tr:nth-child(even) {
    background: rgba(255, 255, 255, 0.09);
}

table.dataTable tr:hover {
    background: var(--hightlight);
}

table.dataTable td.funcs {
    text-align: right;
}

table.dataTable td.funcs i {
    padding:2px 0 2px 15px;
}

b{
    font-weight: 600;
}
